Subject: bug#617: [devuan-dev] bug#617: bug#617: initscripts: brightness init script sets brightness to zero, thus blanking laptop display

From: Martin Steigerwald <[email-masked]>
Date: Wed, 22 Dec 2021 11:19:17 +0100

Dear Mark, dear Jacob

Jacob Lundberg - 12.10.21, 19:19:50 CET:
> On Tue, Oct 12, 2021 at 11:07:53AM +0100, Mark Hindley wrote:
> > At least you have a workaround that will avoid the issue for you
> > again. If you get any other ideas about clean fixes, do say.
> 
> Why not just refuse to *update* to 0 at shutdown.  It seems like 0 is
> a special case the user is fairly unlikely to have set it to themself
> (but if they do want 0 they are probably technical enough to update
> the setting file on their own).

I think that would be a good idea.

I'd really welcome this after I "bricked" another device due to exactly 
this bug. I needed to put GRML to an USB stick and boot from there in 
order to recover.

Have a relaxing, quiet and peaceful time, a merry Christmas!

Best,
-- 
Martin